## Class Exemple

- java.lang.Object
- - Exemple

-     public class Exemple
      extends java.lang.Object

  Programme de démonstration de génération de commentaires javadoc.
  Version:
    1.0, 01/08/17, 1.2, 31/08/17
  Author:
    Nicolas JANEY, nicolas.janey@univ-fcomte.fr

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Exemple.Position2D` Type agrégé de modélisation d'une position en deux dimensions réelles.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static double` | `EPSILON` Constante de définition de la précision.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Exemple()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `affichageTableau(double[] t)` Affichage d'un tableau de réels.
    `static double[]` | `initRandCroissant(int n)` Génération d'un tableau de réels tirés au sort et ordonnés par ordre croissant.
    `static void` | `main(java.lang.String[] args)` Programme principal.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EPSILON

          public static final double EPSILON

      Constante de définition de la précision.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Exemple

          public Exemple()

  - ### Method Detail

    - #### initRandCroissant

          public static double[] initRandCroissant(int n)

      Génération d'un tableau de réels tirés au sort et ordonnés par ordre croissant.
      Le tableau est généré en tirant au sort entre 0.0 et 1.0 le premier réel (indice 0) puis en générant chacun des réels suivants (d'indice i) en ajoutant au réel précédent (d'indice i-1) un réel tiré au sort entre 0.0 et 1.0.
      Parameters:
        `n` - La taille du tableau à générer.
      Returns:
        Le tableau de réels généré.

    - #### affichageTableau

          public static void affichageTableau(double[] t)

      Affichage d'un tableau de réels.
      Parameters:
        `t` - Le tableau de réels à afficher.

    - #### main

          public static void main(java.lang.String[] args)

      Programme principal.
      Parameters:
        `args` - Le tableau des paramètres d'exécution.